#Module-Specific definitions
%define apache_version 2.2.0
%define mod_name mod_auth_shadow
%define mod_conf 83_%{mod_name}.conf
%define mod_so %{mod_name}.so

Summary:	Shadow password authentication for the apache web server
Name:		apache-%{mod_name}
Version:	2.1
Release:	%mkrel 2
Group:		System/Servers
License:	GPL
URL:		http://mod-auth-shadow.sourceforge.net/
Source0:	http://prdownloads.sourceforge.net/mod-auth-shadow/%{mod_name}-%{version}.tar.bz2
Source1:	%{mod_conf}.bz2
Patch0:		%{mod_name}-2.1-register.diff
Patch1:		%{mod_name}-2.1-makefile.diff
Requires(pre): rpm-helper
Requires(postun): rpm-helper
Requires(pre):  apache-conf >= 2.2.0
Requires(pre):  apache >= %{apache_version}
Requires:	apache-conf >= 2.2.0
Requires:	apache >= %{apache_version}
BuildRequires:  apache-devel >= %{apache_version}
Provides:	apache2-mod_auth_shadow
Obsoletes:	apache2-mod_auth_shadow
Epoch:		1
BuildRoot:	%{_tmppath}/%{name}-%{version}-buildroot

%description
%{mod_name} is an apache module which authenticates against
the /etc/shadow file. You may use this module with a mode 400 
root:root /etc/shadow file, while your web daemons are running
under a non-privileged user.

%prep

%setup -q -n %{mod_name}-%{version}
%patch0 -p0
%patch1 -p0

%build

export PATH="$PATH:/usr/sbin"
%make CFLAGS="%{optflags}" -f makefile

%install
[ "%{buildroot}" != "/" ] && rm -rf %{buildroot}

install -d %{buildroot}%{_libdir}/apache-extramodules
install -d %{buildroot}%{_sysconfdir}/httpd/modules.d

install -m0755 .libs/*.so %{buildroot}%{_libdir}/apache-extramodules/
bzcat %{SOURCE1} > %{buildroot}%{_sysconfdir}/httpd/modules.d/%{mod_conf}

install -d %{buildroot}%{_var}/www/html/addon-modules
ln -s ../../../..%{_docdir}/%{name}-%{version} %{buildroot}%{_var}/www/html/addon-modules/%{name}-%{version}

install -d %{buildroot}%{_sbindir}
install -m0755 validate %{buildroot}%{_sbindir}/

%post
if [ -f %{_var}/lock/subsys/httpd ]; then
    %{_initrddir}/httpd restart 1>&2;
fi

%postun
if [ "$1" = "0" ]; then
    if [ -f %{_var}/lock/subsys/httpd ]; then
        %{_initrddir}/httpd restart 1>&2
    fi
fi

%clean
[ "%{buildroot}" != "/" ] && rm -rf %{buildroot}

%files
%defattr(-,root,root)
%doc CHANGES INSTALL README
%attr(0644,root,root) %config(noreplace) %{_sysconfdir}/httpd/modules.d/%{mod_conf}
%attr(0755,root,root) %{_libdir}/apache-extramodules/%{mod_so}
%{_var}/www/html/addon-modules/*
%attr(4755,root,root) %{_sbindir}/validate

%changelog
* Sat Jul 29 2006 Oden Eriksson <oeriksson@mandriva.com> 1:2.1-2mdv2007.0
- rebuild

* Tue Mar 28 2006 Oden Eriksson <oeriksson@mandriva.com> 1:2.1-1mdk
- 2.1 (addresses CAN-2005-2963)

* Mon Dec 12 2005 Oden Eriksson <oeriksson@mandriva.com> 2.0-4mdk
- rebuilt against apache-2.2.0

* Sat Oct 29 2005 Oden Eriksson <oeriksson@mandriva.com> 1:2.0-3mdk
- security update for CAN-2005-2963 (P2)

* Sun Oct 16 2005 Oden Eriksson <oeriksson@mandriva.com> 1:2.0-2mdk
- rebuilt against correct apr-0.9.7

* Fri Oct 14 2005 Oden Eriksson <oeriksson@mandriva.com> 1:2.0-1mdk
- rebuilt for apache-2.0.55

* Fri Jul 29 2005 Oden Eriksson <oeriksson@mandriva.com> 2.0.54_2.0-4mdk
- added another work around for a rpm bug

* Fri Jul 29 2005 Oden Eriksson <oeriksson@mandriva.com> 2.0.54_2.0-3mdk
- added a work around for a rpm bug, "Requires(foo,bar)" don't work

* Thu Jun 30 2005 Oden Eriksson <oeriksson@mandriva.com> 2.0.54_2.0-2mdk
- drop the uid patch as proposed by Joshua Kugler

* Thu May 26 2005 Oden Eriksson <oeriksson@mandriva.com> 2.0.54_2.0-1mdk
- rename the package
- the conf.d directory is renamed to modules.d
- use new rpm-4.4.x pre,post magic

* Thu Mar 17 2005 Oden Eriksson <oeriksson@mandrakesoft.com> 2.0.53_2.0-6mdk
- use the %%mkrel macro

* Sun Feb 27 2005 Oden Eriksson <oeriksson@mandrakesoft.com> 2.0.53_2.0-5mdk
- fix %%post and %%postun to prevent double restarts

* Wed Feb 16 2005 Stefan van der Eijk <stefan@eijk.nu> 2.0.53_2.0-4mdk
- fix bug #6574

* Wed Feb 16 2005 Oden Eriksson <oeriksson@mandrakesoft.com> 2.0.53_2.0-3mdk
- fix deps

* Tue Feb 15 2005 Oden Eriksson <oeriksson@mandrakesoft.com> 2.0.53_2.0-2mdk
- spec file cleanups, remove the ADVX-build stuff

* Tue Feb  8 2005 Oden Eriksson <oeriksson@mandrakesoft.com> 2.0.53_2.0-1mdk
- rebuilt for apache 2.0.53

* Tue Sep 28 2004 Oden Eriksson <oeriksson@mandrakesoft.com> 2.0.52_2.0-1mdk
- built for apache 2.0.52

* Thu Sep 16 2004 Oden Eriksson <oeriksson@mandrakesoft.com> 2.0.51_2.0-1mdk
- built for apache 2.0.51

* Tue Aug 10 2004 Oden Eriksson <oeriksson@mandrakesoft.com> 2.0.50_2.0-3mdk
- rebuilt

* Mon Jul 12 2004 Oden Eriksson <oeriksson@mandrakesoft.com> 2.0.50_2.0-2mdk
- remove redundant provides

* Wed Jun 30 2004 Oden Eriksson <oeriksson@mandrakesoft.com> 2.0.50_2.0-1mdk
- built for apache 2.0.50

* Fri Jun 11 2004 Oden Eriksson <oden.eriksson@kvikkjokk.net> 2.0.49_2.0-1mdk
- built for apache 2.0.49
- added P2

* Wed Nov 05 2003 Oden Eriksson <oden.eriksson@kvikkjokk.net> 2.0.48_2.0-1mdk
- built for apache 2.0.48

* Mon Jul 21 2003 David Baudens <baudens@mandrakesoft.com> 2.0.47_2.0-2mdk
- Rebuild to fix bad signature

* Thu Jul 10 2003 Oden Eriksson <oden.eriksson@kvikkjokk.net> 2.0.47_2.0-1mdk
- rebuilt against latest apache2, requires and buildrequires

* Fri May 30 2003 Oden Eriksson <oden.eriksson@kvikkjokk.net> 2.0.46_2.0-1mdk
- rebuilt for apache v2.0.46
- buildrequires ADVX-build >= 9.2

* Fri Apr 11 2003 Oden Eriksson <oden.eriksson@kvikkjokk.net> 2.0.45_2.0-3mdk
- cosmetic rebuild for apache v2.0.45

* Sat Feb 22 2003 Jean-Michel Dault <jmdault@mandrakesoft.com> 2.0.44_2.0-3mdk
- fix another typo in config file (damn templates ;-)

* Sat Feb 22 2003 Jean-Michel Dault <jmdault@mandrakesoft.com> 2.0.44_2.0-2mdk
- fix typo in config file

* Tue Jan 21 2003 Oden Eriksson <oden.eriksson@kvikkjokk.net> 2.0.44_2.0-1mdk
- initial cooker contrib
